import 'package:shared_preferences/shared_preferences.dart';

class ConstantsSharePref {
  static String DB_REMIND = 'database_remind';
  static String DB_SOUND = 'database_sound';
}

enum Type { LIST, STRING, DOUBLE, INT, BOOL }

class SharePreferenceManager {
  static SharedPreferences prefs;

  static Future<void> initSharePreference() async {
    prefs = await SharedPreferences.getInstance();
  }

  static List<String> getPrefsListString(String key) {
    if (prefs != null && prefs.getStringList(key) != null) {
      return prefs.getStringList(key);
    } else {
      return null;
    }
  }

  static bool getPrefsBool(String key, [bool fallback = false]) {
    if (prefs != null && prefs.getBool(key) != null) {
      return prefs.getBool(key);
    } else {
      return fallback;
    }
  }

  static void setPrefs(String key, Type type, dynamic value) {
    if (type == Type.LIST) {
      prefs.setStringList(key, value);
    } else if (type == Type.STRING) {
      prefs.setString(key, value);
    } else if (type == Type.DOUBLE) {
      prefs.setDouble(key, value);
    } else if (type == Type.INT) {
      prefs.setInt(key, value);
    } else if (type == Type.BOOL) {
      prefs.setBool(key, value);
    }
  }

  static void removePrefs(String key) {
    prefs.remove(key);
  }
}
